Generation Framework

## org.eclipse.gmf.graphdef.codegen
Class StandaloneEmitters

    java.lang.Object
      org.eclipse.gmf.internal.codegen.dispatch.EmitterFactory
          org.eclipse.gmf.graphdef.codegen.StandaloneEmitters

public class StandaloneEmitters
extends org.eclipse.gmf.internal.codegen.dispatch.EmitterFactory

Constructor Summary
`StandaloneEmitters()`

Method Summary
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getBuildPropertiesEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getManifestMFEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getPluginActivatorEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getPluginPropertiesEmitter()`

Methods inherited from class org.eclipse.gmf.internal.codegen.dispatch.EmitterFactory
`acquireEmitter, checkEmitter, createCache, newEmitter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandaloneEmitters

    public StandaloneEmitters()

Method Detail

### getBuildPropertiesEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getBuildPropertiesEmitter()
                                                                                  throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getPluginPropertiesEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getPluginPropertiesEmitter()
                                                                                   throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getManifestMFEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getManifestMFEmitter()
                                                                             throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getPluginActivatorEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getPluginActivatorEmitter()
                                                                                  throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.